GlueGen: com.jogamp.gluegen.jgram.JavaTokenTypes Interface Reference

GlueGen v2.6.0-rc-20250706 GlueGen, Native Binding Generator for Java™ (public API).

Public Attributes | List of all members
com.jogamp.gluegen.jgram.JavaTokenTypes Interface Reference
Inheritance diagram for com.jogamp.gluegen.jgram.JavaTokenTypes:
Collaboration diagram for com.jogamp.gluegen.jgram.JavaTokenTypes:

## Public Attributes

int | EOF = 1
int | NULL_TREE_LOOKAHEAD = 3
int | BLOCK = 4
int | MODIFIERS = 5
int | OBJBLOCK = 6
int | SLIST = 7
int | CTOR_DEF = 8
int | METHOD_DEF = 9
int | VARIABLE_DEF = 10
int | INSTANCE_INIT = 11
int | STATIC_INIT = 12
int | TYPE = 13
int | CLASS_DEF = 14
int | INTERFACE_DEF = 15
int | PACKAGE_DEF = 16
int | ARRAY_DECLARATOR = 17
int | EXTENDS_CLAUSE = 18
int | IMPLEMENTS_CLAUSE = 19
int | PARAMETERS = 20
int | PARAMETER_DEF = 21
int | LABELED_STAT = 22
int | TYPECAST = 23
int | INDEX_OP = 24
int | POST_INC = 25
int | POST_DEC = 26
int | METHOD_CALL = 27
int | EXPR = 28
int | ARRAY_INIT = 29
int | IMPORT = 30
int | UNARY_MINUS = 31
int | UNARY_PLUS = 32
int | CASE_GROUP = 33
int | ELIST = 34
int | FOR_INIT = 35
int | FOR_CONDITION = 36
int | FOR_ITERATOR = 37
int | EMPTY_STAT = 38
int | FINAL = 39
int | ABSTRACT = 40
int | STRICTFP = 41
int | SUPER_CTOR_CALL = 42
int | CTOR_CALL = 43
int | LITERAL_package = 44
int | SEMI = 45
int | LITERAL_import = 46
int | LT = 47
int | QUESTION = 48
int | LITERAL_extends = 49
int | BAND = 50
int | GT = 51
int | LBRACK = 52
int | RBRACK = 53
int | LITERAL_void = 54
int | LITERAL_boolean = 55
int | LITERAL_byte = 56
int | LITERAL_char = 57
int | LITERAL_short = 58
int | LITERAL_int = 59
int | LITERAL_float = 60
int | LITERAL_long = 61
int | LITERAL_double = 62
int | IDENT = 63
int | DOT = 64
int | STAR = 65
int | LITERAL_private = 66
int | LITERAL_public = 67
int | LITERAL_protected = 68
int | LITERAL_static = 69
int | LITERAL_transient = 70
int | LITERAL_native = 71
int | LITERAL_threadsafe = 72
int | LITERAL_synchronized = 73
int | LITERAL_volatile = 74
int | LITERAL_class = 75
int | LITERAL_interface = 76
int | LCURLY = 77
int | RCURLY = 78
int | COMMA = 79
int | LITERAL_implements = 80
int | LPAREN = 81
int | RPAREN = 82
int | LITERAL_this = 83
int | LITERAL_super = 84
int | ASSIGN = 85
int | LITERAL_throws = 86
int | COLON = 87
int | LITERAL_if = 88
int | LITERAL_else = 89
int | LITERAL_for = 90
int | LITERAL_while = 91
int | LITERAL_do = 92
int | LITERAL_break = 93
int | LITERAL_continue = 94
int | LITERAL_return = 95
int | LITERAL_switch = 96
int | LITERAL_throw = 97
int | LITERAL_case = 98
int | LITERAL_default = 99
int | LITERAL_try = 100
int | LITERAL_finally = 101
int | LITERAL_catch = 102
int | AT = 103
int | PLUS_ASSIGN = 104
int | MINUS_ASSIGN = 105
int | STAR_ASSIGN = 106
int | DIV_ASSIGN = 107
int | MOD_ASSIGN = 108
int | SR_ASSIGN = 109
int | BSR_ASSIGN = 110
int | SL_ASSIGN = 111
int | BAND_ASSIGN = 112
int | BXOR_ASSIGN = 113
int | BOR_ASSIGN = 114
int | LOR = 115
int | LAND = 116
int | BOR = 117
int | BXOR = 118
int | NOT_EQUAL = 119
int | EQUAL = 120
int | LE = 121
int | GE = 122
int | LITERAL_instanceof = 123
int | SL = 124
int | SR = 125
int | BSR = 126
int | PLUS = 127
int | MINUS = 128
int | DIV = 129
int | MOD = 130
int | INC = 131
int | DEC = 132
int | BNOT = 133
int | LNOT = 134
int | LITERAL_true = 135
int | LITERAL_false = 136
int | LITERAL_null = 137
int | LITERAL_new = 138
int | NUM_INT = 139
int | CHAR_LITERAL = 140
int | STRING_LITERAL = 141
int | NUM_FLOAT = 142
int | NUM_LONG = 143
int | NUM_DOUBLE = 144
int | WS = 145
int | SL_COMMENT = 146
int | ML_COMMENT = 147
int | ESC = 148
int | HEX_DIGIT = 149
int | EXPONENT = 150
int | FLOAT_SUFFIX = 151

## Detailed Description

Definition at line 9 of file JavaTokenTypes.java.

## Member Data Documentation

## ◆ ABSTRACT

int com.jogamp.gluegen.jgram.JavaTokenTypes.ABSTRACT = 40

Definition at line 48 of file JavaTokenTypes.java.

## ◆ ARRAY_DECLARATOR

int com.jogamp.gluegen.jgram.JavaTokenTypes.ARRAY_DECLARATOR = 17

Definition at line 25 of file JavaTokenTypes.java.

## ◆ ARRAY_INIT

int com.jogamp.gluegen.jgram.JavaTokenTypes.ARRAY_INIT = 29

Definition at line 37 of file JavaTokenTypes.java.

## ◆ ASSIGN

int com.jogamp.gluegen.jgram.JavaTokenTypes.ASSIGN = 85

Definition at line 93 of file JavaTokenTypes.java.

## ◆ AT

int com.jogamp.gluegen.jgram.JavaTokenTypes.AT = 103

Definition at line 111 of file JavaTokenTypes.java.

## ◆ BAND

int com.jogamp.gluegen.jgram.JavaTokenTypes.BAND = 50

Definition at line 58 of file JavaTokenTypes.java.

## ◆ BAND_ASSIGN

int com.jogamp.gluegen.jgram.JavaTokenTypes.BAND_ASSIGN = 112

Definition at line 120 of file JavaTokenTypes.java.

## ◆ BLOCK

int com.jogamp.gluegen.jgram.JavaTokenTypes.BLOCK = 4

Definition at line 12 of file JavaTokenTypes.java.

## ◆ BNOT

int com.jogamp.gluegen.jgram.JavaTokenTypes.BNOT = 133

Definition at line 141 of file JavaTokenTypes.java.

## ◆ BOR

int com.jogamp.gluegen.jgram.JavaTokenTypes.BOR = 117

Definition at line 125 of file JavaTokenTypes.java.

## ◆ BOR_ASSIGN

int com.jogamp.gluegen.jgram.JavaTokenTypes.BOR_ASSIGN = 114

Definition at line 122 of file JavaTokenTypes.java.

## ◆ BSR

int com.jogamp.gluegen.jgram.JavaTokenTypes.BSR = 126

Definition at line 134 of file JavaTokenTypes.java.

## ◆ BSR_ASSIGN

int com.jogamp.gluegen.jgram.JavaTokenTypes.BSR_ASSIGN = 110

Definition at line 118 of file JavaTokenTypes.java.

## ◆ BXOR

int com.jogamp.gluegen.jgram.JavaTokenTypes.BXOR = 118

Definition at line 126 of file JavaTokenTypes.java.

## ◆ BXOR_ASSIGN

int com.jogamp.gluegen.jgram.JavaTokenTypes.BXOR_ASSIGN = 113

Definition at line 121 of file JavaTokenTypes.java.

## ◆ CASE_GROUP

int com.jogamp.gluegen.jgram.JavaTokenTypes.CASE_GROUP = 33

Definition at line 41 of file JavaTokenTypes.java.

## ◆ CHAR_LITERAL

int com.jogamp.gluegen.jgram.JavaTokenTypes.CHAR_LITERAL = 140

Definition at line 148 of file JavaTokenTypes.java.

## ◆ CLASS_DEF

int com.jogamp.gluegen.jgram.JavaTokenTypes.CLASS_DEF = 14

Definition at line 22 of file JavaTokenTypes.java.

## ◆ COLON

int com.jogamp.gluegen.jgram.JavaTokenTypes.COLON = 87

Definition at line 95 of file JavaTokenTypes.java.

## ◆ COMMA

int com.jogamp.gluegen.jgram.JavaTokenTypes.COMMA = 79

Definition at line 87 of file JavaTokenTypes.java.

## ◆ CTOR_CALL

int com.jogamp.gluegen.jgram.JavaTokenTypes.CTOR_CALL = 43

Definition at line 51 of file JavaTokenTypes.java.

## ◆ CTOR_DEF

int com.jogamp.gluegen.jgram.JavaTokenTypes.CTOR_DEF = 8

Definition at line 16 of file JavaTokenTypes.java.

## ◆ DEC

int com.jogamp.gluegen.jgram.JavaTokenTypes.DEC = 132

Definition at line 140 of file JavaTokenTypes.java.

## ◆ DIV

int com.jogamp.gluegen.jgram.JavaTokenTypes.DIV = 129

Definition at line 137 of file JavaTokenTypes.java.

## ◆ DIV_ASSIGN

int com.jogamp.gluegen.jgram.JavaTokenTypes.DIV_ASSIGN = 107

Definition at line 115 of file JavaTokenTypes.java.

## ◆ DOT

int com.jogamp.gluegen.jgram.JavaTokenTypes.DOT = 64

Definition at line 72 of file JavaTokenTypes.java.

## ◆ ELIST

int com.jogamp.gluegen.jgram.JavaTokenTypes.ELIST = 34

Definition at line 42 of file JavaTokenTypes.java.

## ◆ EMPTY_STAT

int com.jogamp.gluegen.jgram.JavaTokenTypes.EMPTY_STAT = 38

Definition at line 46 of file JavaTokenTypes.java.

## ◆ EOF

int com.jogamp.gluegen.jgram.JavaTokenTypes.EOF = 1

Definition at line 10 of file JavaTokenTypes.java.

## ◆ EQUAL

int com.jogamp.gluegen.jgram.JavaTokenTypes.EQUAL = 120

Definition at line 128 of file JavaTokenTypes.java.

## ◆ ESC

int com.jogamp.gluegen.jgram.JavaTokenTypes.ESC = 148

Definition at line 156 of file JavaTokenTypes.java.

## ◆ EXPONENT

int com.jogamp.gluegen.jgram.JavaTokenTypes.EXPONENT = 150

Definition at line 158 of file JavaTokenTypes.java.

## ◆ EXPR

int com.jogamp.gluegen.jgram.JavaTokenTypes.EXPR = 28

Definition at line 36 of file JavaTokenTypes.java.

## ◆ EXTENDS_CLAUSE

int com.jogamp.gluegen.jgram.JavaTokenTypes.EXTENDS_CLAUSE = 18

Definition at line 26 of file JavaTokenTypes.java.

## ◆ FINAL

int com.jogamp.gluegen.jgram.JavaTokenTypes.FINAL = 39

Definition at line 47 of file JavaTokenTypes.java.

## ◆ FLOAT_SUFFIX

int com.jogamp.gluegen.jgram.JavaTokenTypes.FLOAT_SUFFIX = 151

Definition at line 159 of file JavaTokenTypes.java.

## ◆ FOR_CONDITION

int com.jogamp.gluegen.jgram.JavaTokenTypes.FOR_CONDITION = 36

Definition at line 44 of file JavaTokenTypes.java.

## ◆ FOR_INIT

int com.jogamp.gluegen.jgram.JavaTokenTypes.FOR_INIT = 35

Definition at line 43 of file JavaTokenTypes.java.

## ◆ FOR_ITERATOR

int com.jogamp.gluegen.jgram.JavaTokenTypes.FOR_ITERATOR = 37

Definition at line 45 of file JavaTokenTypes.java.

## ◆ GE

int com.jogamp.gluegen.jgram.JavaTokenTypes.GE = 122

Definition at line 130 of file JavaTokenTypes.java.

## ◆ GT

int com.jogamp.gluegen.jgram.JavaTokenTypes.GT = 51

Definition at line 59 of file JavaTokenTypes.java.

## ◆ HEX_DIGIT

int com.jogamp.gluegen.jgram.JavaTokenTypes.HEX_DIGIT = 149

Definition at line 157 of file JavaTokenTypes.java.

## ◆ IDENT

int com.jogamp.gluegen.jgram.JavaTokenTypes.IDENT = 63

Definition at line 71 of file JavaTokenTypes.java.

## ◆ IMPLEMENTS_CLAUSE

int com.jogamp.gluegen.jgram.JavaTokenTypes.IMPLEMENTS_CLAUSE = 19

Definition at line 27 of file JavaTokenTypes.java.

## ◆ IMPORT

int com.jogamp.gluegen.jgram.JavaTokenTypes.IMPORT = 30

Definition at line 38 of file JavaTokenTypes.java.

## ◆ INC

int com.jogamp.gluegen.jgram.JavaTokenTypes.INC = 131

Definition at line 139 of file JavaTokenTypes.java.

## ◆ INDEX_OP

int com.jogamp.gluegen.jgram.JavaTokenTypes.INDEX_OP = 24

Definition at line 32 of file JavaTokenTypes.java.

## ◆ INSTANCE_INIT

int com.jogamp.gluegen.jgram.JavaTokenTypes.INSTANCE_INIT = 11

Definition at line 19 of file JavaTokenTypes.java.

## ◆ INTERFACE_DEF

int com.jogamp.gluegen.jgram.JavaTokenTypes.INTERFACE_DEF = 15

Definition at line 23 of file JavaTokenTypes.java.

## ◆ LABELED_STAT

int com.jogamp.gluegen.jgram.JavaTokenTypes.LABELED_STAT = 22

Definition at line 30 of file JavaTokenTypes.java.

## ◆ LAND

int com.jogamp.gluegen.jgram.JavaTokenTypes.LAND = 116

Definition at line 124 of file JavaTokenTypes.java.

## ◆ LBRACK

int com.jogamp.gluegen.jgram.JavaTokenTypes.LBRACK = 52

Definition at line 60 of file JavaTokenTypes.java.

## ◆ LCURLY

int com.jogamp.gluegen.jgram.JavaTokenTypes.LCURLY = 77

Definition at line 85 of file JavaTokenTypes.java.

## ◆ LE

int com.jogamp.gluegen.jgram.JavaTokenTypes.LE = 121

Definition at line 129 of file JavaTokenTypes.java.

## ◆ LITERAL_boolean

int com.jogamp.gluegen.jgram.JavaTokenTypes.LITERAL_boolean = 55

Definition at line 63 of file JavaTokenTypes.java.

## ◆ LITERAL_break

int com.jogamp.gluegen.jgram.JavaTokenTypes.LITERAL_break = 93

Definition at line 101 of file JavaTokenTypes.java.

## ◆ LITERAL_byte

int com.jogamp.gluegen.jgram.JavaTokenTypes.LITERAL_byte = 56

Definition at line 64 of file JavaTokenTypes.java.

## ◆ LITERAL_case

int com.jogamp.gluegen.jgram.JavaTokenTypes.LITERAL_case = 98

Definition at line 106 of file JavaTokenTypes.java.

## ◆ LITERAL_catch

int com.jogamp.gluegen.jgram.JavaTokenTypes.LITERAL_catch = 102

Definition at line 110 of file JavaTokenTypes.java.

## ◆ LITERAL_char

int com.jogamp.gluegen.jgram.JavaTokenTypes.LITERAL_char = 57

Definition at line 65 of file JavaTokenTypes.java.

## ◆ LITERAL_class

int com.jogamp.gluegen.jgram.JavaTokenTypes.LITERAL_class = 75

Definition at line 83 of file JavaTokenTypes.java.

## ◆ LITERAL_continue

int com.jogamp.gluegen.jgram.JavaTokenTypes.LITERAL_continue = 94

Definition at line 102 of file JavaTokenTypes.java.

## ◆ LITERAL_default

int com.jogamp.gluegen.jgram.JavaTokenTypes.LITERAL_default = 99

Definition at line 107 of file JavaTokenTypes.java.

## ◆ LITERAL_do

int com.jogamp.gluegen.jgram.JavaTokenTypes.LITERAL_do = 92

Definition at line 100 of file JavaTokenTypes.java.

## ◆ LITERAL_double

int com.jogamp.gluegen.jgram.JavaTokenTypes.LITERAL_double = 62

Definition at line 70 of file JavaTokenTypes.java.

## ◆ LITERAL_else

int com.jogamp.gluegen.jgram.JavaTokenTypes.LITERAL_else = 89

Definition at line 97 of file JavaTokenTypes.java.

## ◆ LITERAL_extends

int com.jogamp.gluegen.jgram.JavaTokenTypes.LITERAL_extends = 49

Definition at line 57 of file JavaTokenTypes.java.

## ◆ LITERAL_false

int com.jogamp.gluegen.jgram.JavaTokenTypes.LITERAL_false = 136

Definition at line 144 of file JavaTokenTypes.java.

## ◆ LITERAL_finally

int com.jogamp.gluegen.jgram.JavaTokenTypes.LITERAL_finally = 101

Definition at line 109 of file JavaTokenTypes.java.

## ◆ LITERAL_float

int com.jogamp.gluegen.jgram.JavaTokenTypes.LITERAL_float = 60

Definition at line 68 of file JavaTokenTypes.java.

## ◆ LITERAL_for

int com.jogamp.gluegen.jgram.JavaTokenTypes.LITERAL_for = 90

Definition at line 98 of file JavaTokenTypes.java.

## ◆ LITERAL_if

int com.jogamp.gluegen.jgram.JavaTokenTypes.LITERAL_if = 88

Definition at line 96 of file JavaTokenTypes.java.

## ◆ LITERAL_implements

int com.jogamp.gluegen.jgram.JavaTokenTypes.LITERAL_implements = 80

Definition at line 88 of file JavaTokenTypes.java.

## ◆ LITERAL_import

int com.jogamp.gluegen.jgram.JavaTokenTypes.LITERAL_import = 46

Definition at line 54 of file JavaTokenTypes.java.

## ◆ LITERAL_instanceof

int com.jogamp.gluegen.jgram.JavaTokenTypes.LITERAL_instanceof = 123

Definition at line 131 of file JavaTokenTypes.java.

## ◆ LITERAL_int

int com.jogamp.gluegen.jgram.JavaTokenTypes.LITERAL_int = 59

Definition at line 67 of file JavaTokenTypes.java.

## ◆ LITERAL_interface

int com.jogamp.gluegen.jgram.JavaTokenTypes.LITERAL_interface = 76

Definition at line 84 of file JavaTokenTypes.java.

## ◆ LITERAL_long

int com.jogamp.gluegen.jgram.JavaTokenTypes.LITERAL_long = 61

Definition at line 69 of file JavaTokenTypes.java.

## ◆ LITERAL_native

int com.jogamp.gluegen.jgram.JavaTokenTypes.LITERAL_native = 71

Definition at line 79 of file JavaTokenTypes.java.

## ◆ LITERAL_new

int com.jogamp.gluegen.jgram.JavaTokenTypes.LITERAL_new = 138

Definition at line 146 of file JavaTokenTypes.java.

## ◆ LITERAL_null

int com.jogamp.gluegen.jgram.JavaTokenTypes.LITERAL_null = 137

Definition at line 145 of file JavaTokenTypes.java.

## ◆ LITERAL_package

int com.jogamp.gluegen.jgram.JavaTokenTypes.LITERAL_package = 44

Definition at line 52 of file JavaTokenTypes.java.

## ◆ LITERAL_private

int com.jogamp.gluegen.jgram.JavaTokenTypes.LITERAL_private = 66

Definition at line 74 of file JavaTokenTypes.java.

## ◆ LITERAL_protected

int com.jogamp.gluegen.jgram.JavaTokenTypes.LITERAL_protected = 68

Definition at line 76 of file JavaTokenTypes.java.

## ◆ LITERAL_public

int com.jogamp.gluegen.jgram.JavaTokenTypes.LITERAL_public = 67

Definition at line 75 of file JavaTokenTypes.java.

## ◆ LITERAL_return

int com.jogamp.gluegen.jgram.JavaTokenTypes.LITERAL_return = 95

Definition at line 103 of file JavaTokenTypes.java.

## ◆ LITERAL_short

int com.jogamp.gluegen.jgram.JavaTokenTypes.LITERAL_short = 58

Definition at line 66 of file JavaTokenTypes.java.

## ◆ LITERAL_static

int com.jogamp.gluegen.jgram.JavaTokenTypes.LITERAL_static = 69

Definition at line 77 of file JavaTokenTypes.java.

## ◆ LITERAL_super

int com.jogamp.gluegen.jgram.JavaTokenTypes.LITERAL_super = 84

Definition at line 92 of file JavaTokenTypes.java.

## ◆ LITERAL_switch

int com.jogamp.gluegen.jgram.JavaTokenTypes.LITERAL_switch = 96

Definition at line 104 of file JavaTokenTypes.java.

## ◆ LITERAL_synchronized

int com.jogamp.gluegen.jgram.JavaTokenTypes.LITERAL_synchronized = 73

Definition at line 81 of file JavaTokenTypes.java.

## ◆ LITERAL_this

int com.jogamp.gluegen.jgram.JavaTokenTypes.LITERAL_this = 83

Definition at line 91 of file JavaTokenTypes.java.

## ◆ LITERAL_threadsafe

int com.jogamp.gluegen.jgram.JavaTokenTypes.LITERAL_threadsafe = 72

Definition at line 80 of file JavaTokenTypes.java.

## ◆ LITERAL_throw

int com.jogamp.gluegen.jgram.JavaTokenTypes.LITERAL_throw = 97

Definition at line 105 of file JavaTokenTypes.java.

## ◆ LITERAL_throws

int com.jogamp.gluegen.jgram.JavaTokenTypes.LITERAL_throws = 86

Definition at line 94 of file JavaTokenTypes.java.

## ◆ LITERAL_transient

int com.jogamp.gluegen.jgram.JavaTokenTypes.LITERAL_transient = 70

Definition at line 78 of file JavaTokenTypes.java.

## ◆ LITERAL_true

int com.jogamp.gluegen.jgram.JavaTokenTypes.LITERAL_true = 135

Definition at line 143 of file JavaTokenTypes.java.

## ◆ LITERAL_try

int com.jogamp.gluegen.jgram.JavaTokenTypes.LITERAL_try = 100

Definition at line 108 of file JavaTokenTypes.java.

## ◆ LITERAL_void

int com.jogamp.gluegen.jgram.JavaTokenTypes.LITERAL_void = 54

Definition at line 62 of file JavaTokenTypes.java.

## ◆ LITERAL_volatile

int com.jogamp.gluegen.jgram.JavaTokenTypes.LITERAL_volatile = 74

Definition at line 82 of file JavaTokenTypes.java.

## ◆ LITERAL_while

int com.jogamp.gluegen.jgram.JavaTokenTypes.LITERAL_while = 91

Definition at line 99 of file JavaTokenTypes.java.

## ◆ LNOT

int com.jogamp.gluegen.jgram.JavaTokenTypes.LNOT = 134

Definition at line 142 of file JavaTokenTypes.java.

## ◆ LOR

int com.jogamp.gluegen.jgram.JavaTokenTypes.LOR = 115

Definition at line 123 of file JavaTokenTypes.java.

## ◆ LPAREN

int com.jogamp.gluegen.jgram.JavaTokenTypes.LPAREN = 81

Definition at line 89 of file JavaTokenTypes.java.

## ◆ LT

int com.jogamp.gluegen.jgram.JavaTokenTypes.LT = 47

Definition at line 55 of file JavaTokenTypes.java.

## ◆ METHOD_CALL

int com.jogamp.gluegen.jgram.JavaTokenTypes.METHOD_CALL = 27

Definition at line 35 of file JavaTokenTypes.java.

## ◆ METHOD_DEF

int com.jogamp.gluegen.jgram.JavaTokenTypes.METHOD_DEF = 9

Definition at line 17 of file JavaTokenTypes.java.

## ◆ MINUS

int com.jogamp.gluegen.jgram.JavaTokenTypes.MINUS = 128

Definition at line 136 of file JavaTokenTypes.java.

## ◆ MINUS_ASSIGN

int com.jogamp.gluegen.jgram.JavaTokenTypes.MINUS_ASSIGN = 105

Definition at line 113 of file JavaTokenTypes.java.

## ◆ ML_COMMENT

int com.jogamp.gluegen.jgram.JavaTokenTypes.ML_COMMENT = 147

Definition at line 155 of file JavaTokenTypes.java.

## ◆ MOD

int com.jogamp.gluegen.jgram.JavaTokenTypes.MOD = 130

Definition at line 138 of file JavaTokenTypes.java.

## ◆ MOD_ASSIGN

int com.jogamp.gluegen.jgram.JavaTokenTypes.MOD_ASSIGN = 108

Definition at line 116 of file JavaTokenTypes.java.

## ◆ MODIFIERS

int com.jogamp.gluegen.jgram.JavaTokenTypes.MODIFIERS = 5

Definition at line 13 of file JavaTokenTypes.java.

## ◆ NOT_EQUAL

int com.jogamp.gluegen.jgram.JavaTokenTypes.NOT_EQUAL = 119

Definition at line 127 of file JavaTokenTypes.java.

## ◆ NULL_TREE_LOOKAHEAD

int com.jogamp.gluegen.jgram.JavaTokenTypes.NULL_TREE_LOOKAHEAD = 3

Definition at line 11 of file JavaTokenTypes.java.

## ◆ NUM_DOUBLE

int com.jogamp.gluegen.jgram.JavaTokenTypes.NUM_DOUBLE = 144

Definition at line 152 of file JavaTokenTypes.java.

## ◆ NUM_FLOAT

int com.jogamp.gluegen.jgram.JavaTokenTypes.NUM_FLOAT = 142

Definition at line 150 of file JavaTokenTypes.java.

## ◆ NUM_INT

int com.jogamp.gluegen.jgram.JavaTokenTypes.NUM_INT = 139

Definition at line 147 of file JavaTokenTypes.java.

## ◆ NUM_LONG

int com.jogamp.gluegen.jgram.JavaTokenTypes.NUM_LONG = 143

Definition at line 151 of file JavaTokenTypes.java.

## ◆ OBJBLOCK

int com.jogamp.gluegen.jgram.JavaTokenTypes.OBJBLOCK = 6

Definition at line 14 of file JavaTokenTypes.java.

## ◆ PACKAGE_DEF

int com.jogamp.gluegen.jgram.JavaTokenTypes.PACKAGE_DEF = 16

Definition at line 24 of file JavaTokenTypes.java.

## ◆ PARAMETER_DEF

int com.jogamp.gluegen.jgram.JavaTokenTypes.PARAMETER_DEF = 21

Definition at line 29 of file JavaTokenTypes.java.

## ◆ PARAMETERS

int com.jogamp.gluegen.jgram.JavaTokenTypes.PARAMETERS = 20

Definition at line 28 of file JavaTokenTypes.java.

## ◆ PLUS

int com.jogamp.gluegen.jgram.JavaTokenTypes.PLUS = 127

Definition at line 135 of file JavaTokenTypes.java.

## ◆ PLUS_ASSIGN

int com.jogamp.gluegen.jgram.JavaTokenTypes.PLUS_ASSIGN = 104

Definition at line 112 of file JavaTokenTypes.java.

## ◆ POST_DEC

int com.jogamp.gluegen.jgram.JavaTokenTypes.POST_DEC = 26

Definition at line 34 of file JavaTokenTypes.java.

## ◆ POST_INC

int com.jogamp.gluegen.jgram.JavaTokenTypes.POST_INC = 25

Definition at line 33 of file JavaTokenTypes.java.

## ◆ QUESTION

int com.jogamp.gluegen.jgram.JavaTokenTypes.QUESTION = 48

Definition at line 56 of file JavaTokenTypes.java.

## ◆ RBRACK

int com.jogamp.gluegen.jgram.JavaTokenTypes.RBRACK = 53

Definition at line 61 of file JavaTokenTypes.java.

## ◆ RCURLY

int com.jogamp.gluegen.jgram.JavaTokenTypes.RCURLY = 78

Definition at line 86 of file JavaTokenTypes.java.

## ◆ RPAREN

int com.jogamp.gluegen.jgram.JavaTokenTypes.RPAREN = 82

Definition at line 90 of file JavaTokenTypes.java.

## ◆ SEMI

int com.jogamp.gluegen.jgram.JavaTokenTypes.SEMI = 45

Definition at line 53 of file JavaTokenTypes.java.

## ◆ SL

int com.jogamp.gluegen.jgram.JavaTokenTypes.SL = 124

Definition at line 132 of file JavaTokenTypes.java.

## ◆ SL_ASSIGN

int com.jogamp.gluegen.jgram.JavaTokenTypes.SL_ASSIGN = 111

Definition at line 119 of file JavaTokenTypes.java.

## ◆ SL_COMMENT

int com.jogamp.gluegen.jgram.JavaTokenTypes.SL_COMMENT = 146

Definition at line 154 of file JavaTokenTypes.java.

## ◆ SLIST

int com.jogamp.gluegen.jgram.JavaTokenTypes.SLIST = 7

Definition at line 15 of file JavaTokenTypes.java.

## ◆ SR

int com.jogamp.gluegen.jgram.JavaTokenTypes.SR = 125

Definition at line 133 of file JavaTokenTypes.java.

## ◆ SR_ASSIGN

int com.jogamp.gluegen.jgram.JavaTokenTypes.SR_ASSIGN = 109

Definition at line 117 of file JavaTokenTypes.java.

## ◆ STAR

int com.jogamp.gluegen.jgram.JavaTokenTypes.STAR = 65

Definition at line 73 of file JavaTokenTypes.java.

## ◆ STAR_ASSIGN

int com.jogamp.gluegen.jgram.JavaTokenTypes.STAR_ASSIGN = 106

Definition at line 114 of file JavaTokenTypes.java.

## ◆ STATIC_INIT

int com.jogamp.gluegen.jgram.JavaTokenTypes.STATIC_INIT = 12

Definition at line 20 of file JavaTokenTypes.java.

## ◆ STRICTFP

int com.jogamp.gluegen.jgram.JavaTokenTypes.STRICTFP = 41

Definition at line 49 of file JavaTokenTypes.java.

## ◆ STRING_LITERAL

int com.jogamp.gluegen.jgram.JavaTokenTypes.STRING_LITERAL = 141

Definition at line 149 of file JavaTokenTypes.java.

## ◆ SUPER_CTOR_CALL

int com.jogamp.gluegen.jgram.JavaTokenTypes.SUPER_CTOR_CALL = 42

Definition at line 50 of file JavaTokenTypes.java.

## ◆ TYPE

int com.jogamp.gluegen.jgram.JavaTokenTypes.TYPE = 13

Definition at line 21 of file JavaTokenTypes.java.

## ◆ TYPECAST

int com.jogamp.gluegen.jgram.JavaTokenTypes.TYPECAST = 23

Definition at line 31 of file JavaTokenTypes.java.

## ◆ UNARY_MINUS

int com.jogamp.gluegen.jgram.JavaTokenTypes.UNARY_MINUS = 31

Definition at line 39 of file JavaTokenTypes.java.

## ◆ UNARY_PLUS

int com.jogamp.gluegen.jgram.JavaTokenTypes.UNARY_PLUS = 32

Definition at line 40 of file JavaTokenTypes.java.

## ◆ VARIABLE_DEF

int com.jogamp.gluegen.jgram.JavaTokenTypes.VARIABLE_DEF = 10

Definition at line 18 of file JavaTokenTypes.java.

## ◆ WS

int com.jogamp.gluegen.jgram.JavaTokenTypes.WS = 145

Definition at line 153 of file JavaTokenTypes.java.

The documentation for this interface was generated from the following file:

- build/gensrc/java/com/jogamp/gluegen/jgram/JavaTokenTypes.java